Bug 1821629 - Eager zero seems to do nothing
Summary: Eager zero seems to do nothing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.6.0
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: 6.8.0
Assignee: Ondřej Ezr
QA Contact: Radek Mynar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-07 09:15 UTC by Anand Jambhulkar
Modified: 2020-10-27 13:01 UTC (History)
7 users (show)

Fixed In Version: foreman-2.1.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:01:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 28874 0 Normal Closed Eager zero seems to do nothing 2020-10-28 02:29:33 UTC
Red Hat Knowledge Base (Solution) 4969311 0 None None None 2020-04-07 09:22:42 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:01:47 UTC

Description Anand Jambhulkar 2020-04-07 09:15:28 UTC
Description of problem:
----------------------

Cannot create eager zeroed disk before installation / during provisioning. In the Satelite on the "Virtual machine" tab there is a checkbox "Eager Zero".  Independent on the state of the checkbox the disk is always created "lazy zeroed".


Version-Release number of selected component (if applicable):
------------------------------------------------------------

Satellite 6.6


How reproducible:
----------------

Always


Steps to Reproduce:
------------------

1. Try to create a host for provisioning on VMware platform.

2. On the "Virtual Machine" tab, click on the checkbox "Eager Zero".

3. Provision the machine.

4. Check the state of the disk by right clicking the settings on VMware.


Actual results:
--------------

Independent on the state of the checkbox the disk is always created "lazy zeroed".


Expected results:
----------------

The disk created for the VM should be "Eager Zero" disk.


Additional info:
---------------

The customer is trying to install SAP systems. These *require*  the disks to be Thick provisioned / eager zeroed.

Comment 3 Bryan Kearney 2020-04-07 10:04:41 UTC
Upstream bug assigned to chrobert

Comment 4 Bryan Kearney 2020-04-07 10:04:43 UTC
Upstream bug assigned to chrobert

Comment 15 Bryan Kearney 2020-05-15 12:04:38 UTC
Upstream bug assigned to chrobert

Comment 16 Bryan Kearney 2020-05-15 12:04:41 UTC
Upstream bug assigned to chrobert

Comment 17 Bryan Kearney 2020-05-15 16:04:33 UTC
Upstream bug assigned to oezr

Comment 18 Bryan Kearney 2020-05-15 16:04:35 UTC
Upstream bug assigned to oezr

Comment 19 Bryan Kearney 2020-05-17 12:04:27 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28874 has been resolved.

Comment 21 Radek Mynar 2020-07-03 11:18:38 UTC
VERIFIED with Satellite 6.8 SNAP 7.0 and vSphere 6.7.0

I provisioned few virtual machines vith various combination of 'Thin Provision' and 'Eager zero'. All hard drives were created with expected configuration.

There was one exception: When using NFS data store without HW acceleration, the drives were always created as 'Thin Provision', which complies VMware vSphere documentation (https://docs.vmware.com/en/VMware-vSphere/6.7/com.vmware.vsphere.vm_admin.doc/GUID-4C0F4D73-82F2-4B81-8AA7-1DD752A8A5AC.html)

It's also worth mention that selecting both checkboxes (thin provision and eager zero) is not possible as only thick provisioned disks can be eager zeroed.

Comment 24 errata-xmlrpc 2020-10-27 13:01:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.